///------------------------------
#include <stdio.h>

FILE *Input,*Output;
///------------------------------
void QuickSort(int *A,int *Indice,int Lower,int Higher)
{
int Lo, Hi, Mid, T;

Lo = Lower;
Hi = Higher;
Mid = A[(Lo+Hi)/2];
do
 {
 while( A[Lo] < Mid )
      { Lo++; }
 while( A[Hi] > Mid )
      { Hi--; }
 if( Lo <= Hi )
   {
   // Intercambiamos los extremos.
   T = A[Lo];
   A[Lo] = A[Hi];
   A[Hi] = T;

   // Intercambiamos los ndices
   T = Indice[Lo];
   Indice[Lo] = Indice[Hi];
   Indice[Hi] = T;

   Lo++;
   Hi--;
   }
 } while (Lo <= Hi);

if( Hi > Lower )
  { QuickSort(A,Indice,Lower,Hi); }
if( Lo < Higher )
  { QuickSort(A,Indice,Lo,Higher); }
}
///**********************************

int main()
{
int i,N,D,T;

Input = fopen("Input.txt","r+t");

fscanf(Input,"%d %d %d",&N,&D,&T);

int *Array = new int[N];
int *Indice =  new int[N];

for(i = 0; i < N; i++)
  {
  fscanf(Input,"%d",&Array[i]);
  Indice[i] = i;
  }

fclose(Input);

QuickSort(Array,Indice,0,N-1);

Output = fopen("Output.txt","w+t");

for(i = (N-1); i > -1; i--)
  { fprintf(Output,"%d ",(Indice[i]+1)); }

delete[] Array;
delete[] Indice;

        return 0;
}
//---------------------------------------------------------------------------
 